#!/bin/zsh

# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cgi_post

case "${_POST[choice]}"; in
  new_filter)
    for n in '' {0..100}; do
      debug "N: $n; ${_POST[filter$n]}"
      [ -z "${_POST[filter$n]+x}" ] && break
      filterval="${_POST[filter$n]}"
      filtertype="${_POST[filtertype$n]}"
      filter="${filtertype}:${filterval}${filter+^${filter}}"
    done
    order="${_POST[order]}"
    echo -n "Location: ?p=cards&filter=$filter&filtertype=advanced&order=$order\n\n"
    ;;
  #new_filter)
  #  filter="${_POST[filter]}"
  #  filtertype="${_POST[filtertype]}"
  #  order="${_POST[order]}"
  #  echo -n "Location: ?p=cards&filter=$filter&filtertype=$filtertype&order=$order\n\n"
  #  ;;
  *)
    echo -n "Location: ?p=cards\n\n"
    ;;
esac
